package com.mortals.xhx.module.one.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:OneClassifyTopical
* date: 2021-9-13 16:21:34
*/
public class OneClassifyTopicalEntity extends BaseEntityLong{
    private static final long serialVersionUID = 1631521294913L;


    /**
    * 主题id
    */
    private Long topicalId;

    /**
    * 分类引导id
    */
    private Long classifyId;

    /**
    * 分类引导排序
    */
    private Integer classifyRank;

    /**
    * 终端主题包图标（建议图标尺寸为290px*180px，格式为png）
    */
    private String terminalIcon;

    /**
    * 移动主题包图标（建议图标尺寸为42px*42px，格式为png）
    */
    private String moveIcon;

    /**
    * 承诺办结方式（1 即办，2 工作日）
    */
    private Integer overWay;

    /**
    * 承诺办结时限
    */
    private String overTime;

    /**
    * 站点id
    */
    private Long siteId;

    /**
    * 事项id(多个事项以逗号隔开)
    */
    private String matterId;

    /**
    * 到现场次数
    */
    private Integer presenceNum;

    /**
    * 
    */
    private Integer deleted;

    /**
    * 创建人id
    */
    private Long createUserId;

    /**
    * 创建人名称
    */
    private String createUserName;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 修改人
    */
    private Long updateUserId;

    /**
    * 修改人名称
    */
    private String updateUserName;

    /**
    * 更新时间
    */
    private Date updateTime;

    public OneClassifyTopicalEntity(){

    }
    /**
    * 获取 主题id
    * @return topicalId
    */
    public Long getTopicalId() {
        return this.topicalId;
    }
    /**
    * 设置 主题id
    * @param topicalId
    */
    public void setTopicalId(Long topicalId) {
        this.topicalId = topicalId;
    }
    /**
    * 获取 分类引导id
    * @return classifyId
    */
    public Long getClassifyId() {
        return this.classifyId;
    }
    /**
    * 设置 分类引导id
    * @param classifyId
    */
    public void setClassifyId(Long classifyId) {
        this.classifyId = classifyId;
    }
    /**
    * 获取 分类引导排序
    * @return classifyRank
    */
    public Integer getClassifyRank() {
        return this.classifyRank;
    }
    /**
    * 设置 分类引导排序
    * @param classifyRank
    */
    public void setClassifyRank(Integer classifyRank) {
        this.classifyRank = classifyRank;
    }
    /**
    * 获取 终端主题包图标（建议图标尺寸为290px*180px，格式为png）
    * @return terminalIcon
    */
    public String getTerminalIcon() {
        return this.terminalIcon;
    }
    /**
    * 设置 终端主题包图标（建议图标尺寸为290px*180px，格式为png）
    * @param terminalIcon
    */
    public void setTerminalIcon(String terminalIcon) {
        this.terminalIcon = terminalIcon;
    }
    /**
    * 获取 移动主题包图标（建议图标尺寸为42px*42px，格式为png）
    * @return moveIcon
    */
    public String getMoveIcon() {
        return this.moveIcon;
    }
    /**
    * 设置 移动主题包图标（建议图标尺寸为42px*42px，格式为png）
    * @param moveIcon
    */
    public void setMoveIcon(String moveIcon) {
        this.moveIcon = moveIcon;
    }
    /**
    * 获取 承诺办结方式（1 即办，2 工作日）
    * @return overWay
    */
    public Integer getOverWay() {
        return this.overWay;
    }
    /**
    * 设置 承诺办结方式（1 即办，2 工作日）
    * @param overWay
    */
    public void setOverWay(Integer overWay) {
        this.overWay = overWay;
    }
    /**
    * 获取 承诺办结时限
    * @return overTime
    */
    public String getOverTime() {
        return this.overTime;
    }
    /**
    * 设置 承诺办结时限
    * @param overTime
    */
    public void setOverTime(String overTime) {
        this.overTime = overTime;
    }
    /**
    * 获取 站点id
    * @return siteId
    */
    public Long getSiteId() {
        return this.siteId;
    }
    /**
    * 设置 站点id
    * @param siteId
    */
    public void setSiteId(Long siteId) {
        this.siteId = siteId;
    }
    /**
    * 获取 事项id(多个事项以逗号隔开)
    * @return matterId
    */
    public String getMatterId() {
        return this.matterId;
    }
    /**
    * 设置 事项id(多个事项以逗号隔开)
    * @param matterId
    */
    public void setMatterId(String matterId) {
        this.matterId = matterId;
    }
    /**
    * 获取 到现场次数
    * @return presenceNum
    */
    public Integer getPresenceNum() {
        return this.presenceNum;
    }
    /**
    * 设置 到现场次数
    * @param presenceNum
    */
    public void setPresenceNum(Integer presenceNum) {
        this.presenceNum = presenceNum;
    }
    /**
    * 获取 
    * @return deleted
    */
    public Integer getDeleted() {
        return this.deleted;
    }
    /**
    * 设置 
    * @param deleted
    */
    public void setDeleted(Integer deleted) {
        this.deleted = deleted;
    }
    /**
    * 获取 创建人id
    * @return createUserId
    */
    public Long getCreateUserId() {
        return this.createUserId;
    }
    /**
    * 设置 创建人id
    * @param createUserId
    */
    public void setCreateUserId(Long createUserId) {
        this.createUserId = createUserId;
    }
    /**
    * 获取 创建人名称
    * @return createUserName
    */
    public String getCreateUserName() {
        return this.createUserName;
    }
    /**
    * 设置 创建人名称
    * @param createUserName
    */
    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }
    /**
    * 获取 创建时间
    * @return createTime
    */
    public Date getCreateTime() {
        return this.createTime;
    }
    /**
    * 设置 创建时间
    * @param createTime
    */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    /**
    * 获取 修改人
    * @return updateUserId
    */
    public Long getUpdateUserId() {
        return this.updateUserId;
    }
    /**
    * 设置 修改人
    * @param updateUserId
    */
    public void setUpdateUserId(Long updateUserId) {
        this.updateUserId = updateUserId;
    }
    /**
    * 获取 修改人名称
    * @return updateUserName
    */
    public String getUpdateUserName() {
        return this.updateUserName;
    }
    /**
    * 设置 修改人名称
    * @param updateUserName
    */
    public void setUpdateUserName(String updateUserName) {
        this.updateUserName = updateUserName;
    }
    /**
    * 获取 更新时间
    * @return updateTime
    */
    public Date getUpdateTime() {
        return this.updateTime;
    }
    /**
    * 设置 更新时间
    * @param updateTime
    */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof OneClassifyTopicalEntity) {
            OneClassifyTopicalEntity tmp = (OneClassifyTopicalEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",topicalId:").append(getTopicalId())
                .append(",classifyId:").append(getClassifyId())
                .append(",classifyRank:").append(getClassifyRank())
                .append(",terminalIcon:").append(getTerminalIcon())
                .append(",moveIcon:").append(getMoveIcon())
                .append(",overWay:").append(getOverWay())
                .append(",overTime:").append(getOverTime())
                .append(",siteId:").append(getSiteId())
                .append(",matterId:").append(getMatterId())
                .append(",presenceNum:").append(getPresenceNum())
                .append(",deleted:").append(getDeleted())
                .append(",createUserId:").append(getCreateUserId())
                .append(",createUserName:").append(getCreateUserName())
                .append(",createTime:").append(getCreateTime())
                .append(",updateUserId:").append(getUpdateUserId())
                .append(",updateUserName:").append(getUpdateUserName())
                .append(",updateTime:").append(getUpdateTime())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.topicalId = null;
         this.classifyId = null;
         this.classifyRank = null;
         this.terminalIcon = null;
         this.moveIcon = null;
         this.overWay = null;
         this.overTime = null;
         this.siteId = null;
         this.matterId = null;
         this.presenceNum = null;
         this.deleted = null;
         this.createUserId = null;
         this.createUserName = null;
         this.createTime = null;
         this.updateUserId = null;
         this.updateUserName = null;
         this.updateTime = null;
    }
}